apply plugin: 'com.android.application'

android {
    compileSdkVersion 33

    signingConfigs {
        release {
            storeFile file('XunfeiTTS-android.jks')
            storePassword 'sxGNv1cH'
            keyAlias 'key0'
            keyPassword 'sxGNv1cH'
        }
    }
    defaultConfig {
        applicationId "me.yoqi.android.xunfeitts"
        minSdkVersion 19
        targetSdkVersion 33
        versionCode 1
        versionName "1.1"
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}

dependencies {
    implementation fileTree(dir: "libs", include: ["*.jar"])
    
    implementation 'androidx.appcompat:appcompat:1.6.1'
    implementation 'com.google.android.material:material:1.9.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.1.4'
    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.1.5'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.5.1'

    implementation 'com.android.support:cardview-v7:28.0.0'
    implementation 'com.jakewharton:butterknife:8.4.0'
    annotationProcessor 'com.jakewharton:butterknife-compiler:8.4.0'
    implementation files('libs/Msc.jar')
    implementation 'homhomlin.lib:sldinglayout:0.9.0'
}
